Bug 1269670 - Review Request: nodejs-mime-types - The ultimate javascript content-type utility
Review Request: nodejs-mime-types - The ultimate javascript content-type utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
: 1275075 (view as bug list)
Depends On: 1269658
Blocks: nodejs-reviews Node-RED 994934 1269676
  Show dependency treegraph
 
Reported: 2015-10-07 17:50 EDT by Jared Smith
Modified: 2016-10-21 04:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-06 07:17:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tdawson: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-10-07 17:50:06 EDT
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-mime-types/nodejs-mime-types.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-mime-types/nodejs-mime-types-2.1.7-1.fc23.src.rpm
Description: The ultimate javascript content-type utility
Fedora Account System Username: jsmith

$ rpmlint nodejs-mime-types.spec nodejs-mime-types-2.1.7-1.fc23.src.rpm 
nodejs-mime-types.src: W: spelling-error Summary(en_US) javascript -> java script, java-script, JavaScript
nodejs-mime-types.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
1 packages and 1 specfiles checked; 0 errors, 2 warnings.


Depends on nodejs-mime-db being reviewed in bug #1269658.
Comment 1 Troy Dawson 2015-10-19 16:47:43 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/quake/review/1269670-nodejs-mime-types/results/nodejs-mime-types-2.1.7-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/quake/review/1269670-nodejs-mime-types/results/nodejs-mime-types-2.1.7-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-mime-types-2.1.7-1.fc24.noarch.rpm
          nodejs-mime-types-2.1.7-1.fc24.src.rpm
nodejs-mime-types.noarch: W: spelling-error Summary(en_US) javascript -> java script, java-script, JavaScript
nodejs-mime-types.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
nodejs-mime-types.noarch: W: only-non-binary-in-usr-lib
nodejs-mime-types.noarch: W: dangling-symlink /usr/lib/node_modules/mime-types/node_modules/mime-db /usr/lib/node_modules/mime-db
nodejs-mime-types.src: W: spelling-error Summary(en_US) javascript -> java script, java-script, JavaScript
nodejs-mime-types.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
nodejs-mime-types (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(mime-db)



Provides
--------
nodejs-mime-types:
    nodejs-mime-types
    npm(mime-types)



Source checksums
----------------
https://github.com/jshttp/mime-types/archive/2.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : a2eefbdff43a6df08dc6d3ea7df644d92320b14af9250962aae903c2a237ed7c
  CHECKSUM(SHA256) upstream package : a2eefbdff43a6df08dc6d3ea7df644d92320b14af9250962aae903c2a237ed7c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1269670
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Troy Dawson 2015-10-19 16:48:20 EDT
Looks great.  Package approved.
Comment 3 Tom Hughes 2015-10-25 12:51:24 EDT
*** Bug 1275075 has been marked as a duplicate of this bug. ***
Comment 4 Piotr Popieluch 2015-10-25 14:33:16 EDT
Missed that this was already packaged and in review.. 

Comparing my version to this one, please consider:

- Use github source guidelines [1]
- We should build from source, see [2]
- Don't think that src dir needs to be packaged

Thanks for packaging

[1] https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Hosting_Services
[2] https://github.com/jshttp/mime-db/blob/master/package.json#L43
Comment 5 Piotr Popieluch 2015-10-25 14:37:19 EDT
Sorry, my last comment was targeted at nodejs-mime-db, not this bug..
Comment 6 Piotr Popieluch 2015-12-06 07:17:54 EST
This is built in rawhide, closing so it won't block other bugs.

Note You need to log in before you can comment on or make changes to this bug.